Download the latest version of Mubble here:

Minimum requirements:

  1. Android OS 4.1 or above
  2. Works only with Indian GSM SIMs
  3. Internet is needed for one time setup
  4. Tablet devices are not supported